Dell software designed to protect you from vulnerabilities has another vulnerability

Dell’s SupportAssist software, a Windows toolkit designed in part to protect your computer from security vulnerabilities, has yet another vulnerability of its own that makes running older versions of the software a risk to your system. As noted by Gizmodo this morning, this new vulnerability was discovered by security researchers at SafeBreach and disclosed on Monday in a public blog post. Dell has now issued an update to patch it that you should download now.

A serious concern here is that this vulnerability doesn’t just affect Dell machines with SupportAssist, as was the case with an entirely separate SupportAssist vulnerability from two months ago. This time, it can affect other laptop manufacturers that are also, like Dell, using…

Continue reading…

from The Verge – All Posts http://bit.ly/2WT9pL7
via IFTTT

Tags: